package com.dxhy.core.job.service;


import com.dxhy.api.model.invoice.TDxRecordInvoice;
import com.dxhy.core.job.entity.TAcOrg;

import java.util.List;

public interface CheckOneService {
    List<TAcOrg> getTaxNo();

    List<TDxRecordInvoice> getRecordList(String taxNo, int rows);

    void updateStatus(String uuid);

    void reqCheck(TDxRecordInvoice recordInvoiceInfo,TAcOrg taxOrg);

    void updateFailStatus(TAcOrg tAcOrg);

    List<TDxRecordInvoice> getRecordListThreeMonth(String taxNo, Integer rows);

}
